/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/02/24 14:21:54 by erey-bet          #+#    #+#             */
/*   Updated: 2023/03/12 16:53:38 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "philo.h"

int	main(int argc, char *argv[])
{
	t_config config;

	if (argc < 5)
	{
		write(2, "Not enought argument\n", 21);
		return (1);
	}
	if (parsing(argv, &config))
	{
		write(2, "Error parsing\n", 14);
		return (2);
	}
	if (manage_threads(&config))
	{
		write(2, "Error Philo\n", 12);
		return (3);
	}
	return (0);
}
